import 'package:b2b_graphql_package/modules/category_pack/category_pack_model.dart';

List<SharedProduct> sharedProductFromJson(dynamic str) =>
    List<SharedProduct>.from(str.map((x) => SharedProduct.fromJson(x)));

class SharedProduct {
  late final String sId;
  late final String? userId;
  late final Product? productId;
  SharedProduct(
      {required this.sId, required this.userId, required this.productId});
  SharedProduct.fromJson(Map<String, dynamic> json) {
    sId = json['_id'];
    userId = json['userId'];
    productId =
        json['productId'] != null ? Product.fromJson(json['productId']) : null;
  }
  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['_id'] = this.sId;
    data['userId'] = this.userId;
    data['productId'] = this.productId;
    return data;
  }
}
