CreateRazorPayOrder createRazorPayOrderFromJson(dynamic str) =>
    (CreateRazorPayOrder.fromJson(str));

class CreateRazorPayOrder {
  late final String? sId;
  late final String? razorpayOrderId;
  late final String? key;
  late final String sTypename;

  CreateRazorPayOrder(
      {required this.sId,
      required this.razorpayOrderId,
      required this.key,
      required this.sTypename});

  CreateRazorPayOrder.fromJson(Map<String, dynamic> json) {
    sId = json['_id'];
    razorpayOrderId = json['razorpayOrderId'];
    key = json['key'];
    sTypename = json['__typename'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['_id'] = this.sId;
    data['razorpayOrderId'] = this.razorpayOrderId;
    data['key'] = this.key;
    data['__typename'] = this.sTypename;
    return data;
  }
}

class PayDetails {
  late final int? status;

  PayDetails({
    required this.status,
  });

  PayDetails.fromJson(Map<String, dynamic> json) {
    status = json['status'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['status'] = this.status;
    return data;
  }
}
